<?php
    /* команда на запуск: curl "https://$site/cron.php" */
    require_once(__DIR__.'/../conf.php');

    //извлекаю все активные депозиты
    $depozits = get_list("deposits", "status = ".escape_db(0).' AND `date_start` = `date_end`'.condition_delete());
    foreach ($depozits as $depozit) {
        $sql = "BEGIN;";
        $mysqli->query($sql);
        //извлекаю тарифный план
        $plan = get_row_by_id("plans", $depozit["plan_id"]);
        //извлекаю все профиты
        //если начислений еще не было то ведем отчет от даты начала работы депозита
        //если есть то от последнего активированного профита
        $sql = "SELECT COUNT(id) FROM profit WHERE ";
        $sql .= " deposit_id = ".escape_db($depozit["id"]);
        $sql .= " AND status = ".escape_db(1);
        if (get_value($sql)) {
            //если начисления уже были
            //извлекаем время последнего начисления
            $sql = "SELECT `date` FROM profit WHERE ";
            $sql .= "deposit_id = ".escape_db($depozit["id"]);
            $sql .= " AND `status` = ".escape_db(1);
            $sql .=" ORDER BY `date` DESC";
            $date_start = get_value($sql);
        } else {
            //если начислений еще не было
            $date_start = $depozit["date_start"];
        }


        //если пора начислять
        if ($date_start + $plan["seconds"] <= time()) {
            $sql = "INSERT INTO `profit` SET ";
            $sql .= " `login` = ".escape_db($depozit["login"]);
            $sql .= ", `deposit_id` = ".escape_db($depozit["id"]);
            $sql .= ", `date` = ".escape_db($date_start + $plan["seconds"]);
            $sql .= ", `amount` = ".escape_db($depozit["amount"] / 100 * $plan["percent"]);
            $sql .= ", `status` = ".escape_db(1);
            $sql .= ", `system` = ".escape_db($depozit["system"]);
            $mysqli->query($sql);
            //добавление записи НАЧИСЛЕНИЕ в операции участнику
            $comment = T('Начисление на баланс, участнику: ').$depozit['login'].T('. По вкладу: ').$depozit['deposit_id'];
            add_operations(
                $depozit['login'],
                T('Начисление'),
                $depozit["amount"] / 100 * $plan["percent"],
                $depozit['system'],
                1,
                $comment,
                $depozit['deposit_id']);
        }
        $sql = "COMMIT;";
        $mysqli->query($sql);
    }
